Skip to main content
`Ctrl`+`K`

# KSPSetUpOnBlocks

Sets up the preconditioner for each block in the block Jacobi `PCJACOBI`, overlapping Schwarz `PCASM`, and fieldsplit `PCFIELDSPLIT` preconditioners

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetUpOnBlocks(KSP ksp)

Collective

## Input Parameter

- ksp - the `KSP` context

## Notes

`KSPSetUpOnBlocks()` is a routine that the user can optionally call for more precise profiling (via `-log_view`) of the setup phase for these block preconditioners. If the user does not call `KSPSetUpOnBlocks()`, it will automatically be called from within `KSPSolve()`.

Calling `KSPSetUpOnBlocks()` is the same as calling `PCSetUpOnBlocks()` on the `PC` context within the `KSP` context.

## See Also

KSP: Linear System Solvers, `PCSetUpOnBlocks()`, `KSPSetUp()`, `PCSetUp()`, `KSP`

## Level

advanced

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/ksp/ksp/tutorials/ex72.c
src/ksp/ksp/tutorials/ex27.c
src/ksp/ksp/tutorials/ex10.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages